기술 자료

​
​

Development

User Acquisition

Monetization

산업 분야

Triggers

Triggers Admin API

Scheduler Admin API

Open Unity Dashboard

Triggers

이 페이지는 선택한 언어로 제공되지 않습니다.
LiveOps
​
​
Get started
  • Overview
  • Get started
  • Set up triggers example workflow
  • Authentication
Set up events
  • Understand and manage events
  • Schedule events
Define triggers
  • Define triggers
Configure actions
  • Use Cloud Code
  • Use webhooks
Manage and monitor
  • Use the dead letter queue (DLQ)
    • DLQ overview
    • Using the CLI
    • Using the REST API
    • Using the Unity Dashboard
  • Limits
  • Failure handling
Examples and reference
  • Use case samples
  1. Triggers
  2. Manage the dead letter queue

Manage the dead letter queue with the REST API

List, replay, and discard dead letter queue events using the Triggers Admin API.
읽는 시간 3분
최근 업데이트: 5달 전

You can use the Triggers Admin API to manage the dead letter queue (DLQ).

Using the API

The Triggers Admin API documentation contains a detailed description of DLQ operations, such as how to list events, get a single event by ID, replay events, and discard events.
The API documentation includes authentication details, endpoints, request and response formats, and examples. You can download the API specification in OpenAPI format and use it to generate clients or set up automation.
To use the API, authenticate with a Service Account that has either the Triggers DLQ Viewer role (to list and get events) or the Triggers DLQ Manager role (to also replay and discard events).

Authorization header

To authenticate the requests, use Basic Authentication. Create a service account and base64 encode the
<KEY_ID>:<SECRET_KEY>
and use it as the value of the
Authorization
header.
--header 'Authorization: Basic <SERVICE_ACCOUNT_CREDENTIALS_ENCODED>' \

List DLQ events

To list events in the dead letter queue for the project and environment, send the following request:
curl 'https://services.api.unity.com/triggers/v1/projects/<PROJECT_ID>/environments/<ENVIRONMENT_ID>/dlq/events' \--header 'Authorization: Basic <SERVICE_ACCOUNT_CREDENTIALS_ENCODED>'
You can add query parameters to filter by status, date range, or event ID, and to paginate results. Refer to the Triggers Admin API for the full list of parameters.

Get DLQ event

To fetch a single DLQ event by ID to inspect its payload and metadata, send the following request:
curl 'https://services.api.unity.com/triggers/v1/projects/<PROJECT_ID>/environments/<ENVIRONMENT_ID>/dlq/events/<EVENT_ID>' \--header 'Authorization: Basic <SERVICE_ACCOUNT_CREDENTIALS_ENCODED>'
Replace
<EVENT_ID>
with the event ID returned from the list response.
For the full response schema and an example DLQ event, refer to Dead letter queue – DLQ event structure.

Replay DLQ events

Replay places the event in a retry queue. The API returns immediately and a background worker republishes the event asynchronously.
To replay a single pending event, send the following request:
curl -X POST 'https://services.api.unity.com/triggers/v1/projects/<PROJECT_ID>/environments/<ENVIRONMENT_ID>/dlq/events/<EVENT_ID>/replay' \--header 'Authorization: Basic <SERVICE_ACCOUNT_CREDENTIALS_ENCODED>'
To replay all pending events in the project and environment, send the following request:
curl -X POST 'https://services.api.unity.com/triggers/v1/projects/<PROJECT_ID>/environments/<ENVIRONMENT_ID>/dlq/events/replay-all' \--header 'Authorization: Basic <SERVICE_ACCOUNT_CREDENTIALS_ENCODED>'

Discard DLQ events

To discard a single pending event from the queue without reprocessing it, send the following request:
curl -X POST 'https://services.api.unity.com/triggers/v1/projects/<PROJECT_ID>/environments/<ENVIRONMENT_ID>/dlq/events/<EVENT_ID>/discard' \--header 'Authorization: Basic <SERVICE_ACCOUNT_CREDENTIALS_ENCODED>'
To discard all pending events in the project and environment, send the following request:
curl -X POST 'https://services.api.unity.com/triggers/v1/projects/<PROJECT_ID>/environments/<ENVIRONMENT_ID>/dlq/events/discard-all' \--header 'Authorization: Basic <SERVICE_ACCOUNT_CREDENTIALS_ENCODED>'

Additional resources

  • Dead letter queue
  • Failure handling
  • Limits
  • Manage the dead letter queue in the Unity Dashboard
  • Manage the dead letter queue with the CLI

Copyright © 2026 Unity Technologies
법률 정보개인정보 처리방침쿠키Documentation Terms of Use개인 정보 판매 또는 공유 금지개인정보 보호 선택(쿠키 설정)

'Unity', Unity 로고 및 기타 Unity 상표는 미국 및 기타 지역 내 Unity Technologies 또는 그 계열사의 상표 또는 등록상표입니다(자세한 내용은 여기에서 확인하세요). 기타 명칭 또는 브랜드는 해당 소유자의 상표입니다.

일부 페이지는 편의를 위해 기계 번역되었으며 부정확한 내용이 있을 수 있습니다. 정보가 상충되는 경우, 영어 버전을 우선으로 참조하세요.

  • 보고 있는 페이지
    • Using the API

      • Authorization header

      • List DLQ events

      • Get DLQ event

      • Replay DLQ events

      • Discard DLQ events

    • Additional resources


이 페이지의 문제 보고